<?php
/**
 * Plugin para gerar link de retorno ou link genrico.
 * @package Smarty
 * @subpackage wf_plugins
 * @author Mauricio Luiz Viani
 * @param array $params Array de parmetros
 * - tab: (opcional) nmero da aba da interface do usurio. Default = 1. Ignorado se for informado o parmetro url
 * - text: (opcional) texto sobre o qual ser feito o link. Default = 'Voltar'
 * - url: (opcional) url completa para gerar o link. Se no informado ir gerar um link par a interface do usurio. 
 * - img: (opcional) nome de um arquivo de imagem (com extenso) sobre o qual ser montado o link. Se informado, inibe o uso de parmetro text.
 * @param object &$smarty Instncia do objeto smarty em uso 
 * @return string cdigo com o link 
 * @access public
 */
function smarty_function_wf_make_link($params, &$smarty)
{		
	$defaultValues = array(
		'tab' => '1',
		'text' => 'Voltar',
		'url' => '',
		'img' => '');
	$extractParams = array(
		'tab',
		'text',
		'url',
		'img');
		
	/* verifica se todos os parmetros obrigatrios foram passados */
	foreach ($defaultValues as $key => $value)
		if (!isset($params[$key]))
			$params[$key] = $value;
			
	/* atribui valores default para os parmetros no passados */
	foreach ($extractParams as $extract)
		$$extract = $params[$extract];
		
	if ($img) {
		$text = "<img src='" . $smarty->get_template_vars('wf_resources_path') . "/" . $img . "' border='0'>";
	}

	if ($url) {
		$back_url = $url;
	} else {
		$back_url = ''; 
		$back_url = $GLOBALS['phpgw_info']['server']['webserver_url'] . '/workflow/index.php?start_tab=' . $tab;
	}
	
	$output = '<a href="' . $back_url . '">'. $text . '</a>';
	return $output;
}
?>